Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.ide.idea
[Groovy] Class IdeaPlugin

    java.lang.Object
      org.gradle.plugins.ide.internal.IdePlugin
          org.gradle.plugins.ide.idea.IdeaPlugin

    class IdeaPlugin
    extends IdePlugin

Adds a GenerateIdeaModule task. When applied to a root project, also adds a GenerateIdeaProject task. For projects that have the Java plugin applied, the tasks receive additional Java-specific configuration.

Property Summary
`IdeaModel` | `model`

Constructor Summary
`IdeaPlugin(Instantiator instantiator)`

Method Summary
`protected String` | `getLifecycleTaskName()`
`void` | `hookDeduplicationToTheRoot(Project project)`
`void` | `makeSureModuleNamesAreUnique()`
`protected void` | `onApply(Project project)`

Property Detail

### model

    IdeaModel model

Constructor Detail

### IdeaPlugin

    @Inject
    IdeaPlugin(Instantiator instantiator)

Method Detail

### getLifecycleTaskName

    @Override
    protected String getLifecycleTaskName()

### hookDeduplicationToTheRoot

    void hookDeduplicationToTheRoot(Project project)

### makeSureModuleNamesAreUnique

    void makeSureModuleNamesAreUnique()

### onApply

    @Override
    protected void onApply(Project project)

Gradle API 1.10